#pragma once
#include "Jass.h"

static const unsigned short CONST_MAP_GLOBAL = 0;
static const unsigned short CONST_HDESTRUCTABLE_ENUM_2 = 1;
static const unsigned short CONST_ID_DESTRUCTABLE = 2;
static const unsigned short CONST_X_DESTRUCTABLE = 3;
static const unsigned short CONST_Y_DESTRUCTABLE = 4;
static const unsigned short CONST_W_DESTRUCTABLE = 5;
static const unsigned short CONST_H_DESTRUCTABLE = 6;
static const unsigned short CONST_CODE_DESTRUCTABLE = 7;

integer fInitMapFromAnalizeMap();
bool fSetDestructableObjectsInWorkMap();
void fActionAnalizeDestructableObjects();
bool fSetPathNoWater();

void fWriteFileTGA();

bool fSetPathLvlCliff();
bool fSetUnitsInWorkMap();